%| This function is related to objfcnnew: THE POSTERIOR KERNEL OF THE DSGE PARAMETER
function obj = CFP_ObjFcnPKopt(para,YYYY,WWYY,WWWW,nobs,lambda,nlags,nvar,mspec,npara,trspec,pmean,pstdd,pshape,FFFFt);


    % MARGINAL DATA DENSITY or LIKELIHOOD DATA
        modelpara   = trans(para,trspec);
        lnPY        = CFP_MDD(modelpara,YYYY,WWYY,WWWW,nobs,lambda,nlags,nvar,mspec,npara,FFFFt);
        %lnpy       = marglhnew(modelpara,YYYY,XXYY,XXXX,nobs,lambda,nlags,nvar,mspec,npara);

    % PRIOR DISTRIBUTION: INDEPENDENT
        lnprio      = priodens(modelpara,pmean,pstdd,pshape);

    % "Likelihood ratio" convergence criterion
        obj         = real( -lnPY -lnprio );  % We minimize the inverse of the likelihood fcn