% It generates a 3-dimensional array: It is used to store variables
% 
% Agostino  July 2005

function YNaN = GNaN(nrows, ncols, layers)

    if     gt( nargin , 2 )
        YNaN = zeros(nrows, ncols, layers);
        YNaN(:) = NaN;
    elseif eq( nargin , 2 )
        YNaN = zeros(nrows, ncols);
        YNaN(:) = NaN;
    else
        YNaN = zeros(nrows, 1);
        YNaN(:) = NaN;       
    end