clear all; clc;
m   = 3;
H   = 16;
nsim = 1000;
nblocks=  10;
% MAT = randn( nsim*nblocks, m * H );

% SAVE
	% outfile3 = 'C:\Research\Favero\DSGEEval\CFPCodes\DNS\Notes\FOpenETC';
    outfile3 = 'I:\FOpenETC';
	fid3     = fopen( outfile3,'w');
    for i = 1 : nblocks
        
        MAT = randn( nsim, m * H );
        
    	fwrite( fid3, MAT, 'double');
        
    end
	
	num3     = ftell(fid3);
	fclose(fid3);
    
    
% LOAD
    infile3 = outfile3;
    innum3  = nblocks*nsim*(m*H)*8;
    innumb3 =         nsim*(m*H)*8;
    
    infid3  = fopen( infile3, 'r');		        % input file (set to read)
    status  = fseek( infid3, innumb3,'bof');    % start after burn in
    
    YYfcst = [];
	while ( ftell(infid3) < innum3 )
        
        % Read blocks of size nsim
		YYfcst_ = fread( infid3, [ nsim, H*m ], 'double' );
        if all( size(YYfcst_,2) == H*m )
            YYfcst = [YYfcst; YYfcst_];
        else
   			fclose(infid3);
        end
        clear YYfcst_;
	
	end;
    fclose(infid3);
        
    % save('C:\Research\Favero\DSGEEval\CFPCodes\DNS\Notes\FOpenETC', 'MAT' )
    
    disp( repmat('_', 1, 75))
    
    YYout      = randn(m, H);
    YYout      = YYout'; 
    fcstErr    = kron( ones( nsim*(nblocks-1), 1), YYout(:)') - YYfcst(:, 1 : m*H );
    MSFE       = var( fcstErr, 1);
    MSFE_m_H   = reshape(MSFE', m, H); % Raws are variables and across Cols we get h=1:H