function f = f1dim(x,pcom,xicom,func,varargin);
% f1dim translates multidiminsional function evaluation (func(xt) where xt is nx1) into one dimensional evalauation
% xt = pcom+x*xicom, where pcom is the initial point, and xicom is the search direction, and x is a scalalar
% written for line minimization as a function of x
% taken from fortran routine with the same name (see Numerical Recipes by Press et al...)
xt = pcom+x*xicom;
f = eval([func '(xt,varargin{:})']);
