function [Ar,H,alpha]=maxliksur(Y,X,ob,grad,Ar,pos,t,H,B0,adjust,lbound,crit,nit);

%number of factors
nn=size(B0,2); 		

%% time series length
t=size(X,1);

% number of cross section
n=size(X,3);

% number of regressor per state
Ns=size(X,2);

% info needed to reshuffle elements of B0 matrix
q=vec(B0.');
[i1,i2]=resh2(q);
[r1,q1]=unresh2(q);

[L,Ar,g,H,itct,fcount,retcodehat] = csminwel(ob,Ar,H,grad,crit,nit,...
   Y,X,t,n,Ns,nn,pos,q,r1,q1,i1,i2,adjust,lbound);
%%%put the initial values into the matrix A and Phi
A=unresh(n,nn,pos,r1,q1,i1,i2,Ar(1:pos));
dPhi=[0;0;Ar(pos+1:length(Ar))].^2;
   
Omega=A*A.'+diag(dPhi);
Omega1=inv(Omega);
x=squeeze(reshape(X,t,n*Ns,1));
I00=find(x(1,:)==0);
I01=find(x(1,:));
Omega11=kron(Omega1,ones(Ns,Ns));
Omega21=kron(Omega1,ones(Ns,1));
x(:,I00)=[];
Omega11(:,I00)=[];
Omega11(I00,:)=[];   
Omega21(I00,:)=[]; 
alpha1=inv((x.'*x).*Omega11)*sum((x.'*Y).*Omega21,2);
alpha=zeros(n*Ns,1);
alpha(I01)=alpha1;
alpha=reshape(alpha,Ns,n);
   
