function [lnpost,lnpy] = objfcnmh9(para,bounds,yyyy,xxyy,xxxx,nobs,lambda,nlags,nvar,mspec,npara,trspec,pmean,pstdd,pshape,yyyyd,xxyyd,xxxxd,retcode);

if any(para > bounds(:,2)) | any(para < bounds(:,1))
	lnpost = -1E6;
	lnpy   = -1E20;
else
    if retcode == 0
		% inderterminacy
		lnpy = -1E10;
	else
	
        phis = inv(xxxxd)*xxyyd;
		sigs = yyyyd -xxyyd'*phis;
        
        lnpy = -(nvar*(nobs)/2)*log(2*pi)-(nobs/2)*log(det(sigs))-.5*sum(diag(inv(sigs)*(yyyy-2*phis'*xxyy+phis'*xxxx*phis)));
	
	end;

	lnpy    = real(lnpy);
	lnprio  = priodens(para,pmean,pstdd,pshape);
	lnpost  = lnpy + real(lnprio);
end

