function obj = objfcnnew(para,YYYY,XXYY,XXXX,nobs,lambda,nlags,nvar,mspec,npara,trspec,pmean,pstdd,pshape);


% Likelihood 
modelpara = trans(para,trspec);
lnpy = marglhnew(modelpara,YYYY,XXYY,XXXX,nobs,lambda,nlags,nvar,mspec,npara);

% Evaluate the Prior distribution
% independent parameters
lnprio = priodens(modelpara,pmean,pstdd,pshape);

% "Likelihood ratio" convergence criterion
obj = real(-lnpy-lnprio);  % We minimize the inverse of the likelihood fcn