function obj = objfcnnewinf(para,YYYY,XXYY,XXXX,nobs,lambda,nlags,nvar,mspec,npara,trspec,pmean,pstdd,pshape);

% likelihood 
modelpara = trans(para,trspec);

[TTT,RRR,valid] = dsgesolv(modelpara,mspec);
[yyyyd,xxyyd,xxxxd,retcode] = varprio(TTT,RRR,valid,modelpara,nvar,nlags,mspec,npara);
phis = inv(xxxxd)*xxyyd;
sigs = yyyyd -xxyyd'*phis;

lnpy = -(nvar*(nobs)/2)*log(2*pi)-(nobs/2)*log(det(sigs))-.5*sum(diag(inv(sigs)*(YYYY-2*phis'*XXYY+phis'*XXXX*phis)));

% Evaluate the Prior distribution

lnprio = priodens(modelpara,pmean,pstdd,pshape);

obj = real(-lnpy-lnprio);  % We minize the inverse of the likelihood fcn 
