cd c:\eviews
open "c:\eviews\data1.wf1"

'VAR

'Second Sample
smpl 1981:4 2001:3

var var_s2.ls 1 4 dcpi dgdp ffr1

var_s2.makeresids res7 res8 res9
equation eq3_var_s2.ls res9 res8 res7
eq3_var_s2.makeresids res_v_s2

var_s2.append(svar) @e1= c(1)*@u1
var_s2.append(svar) @e2=c(2)*@e1+c(3)*@u2
var_s2.append(svar) @e3=c(4)*@e1+c(5)*@e2+c(6)*@u3
' estimate structural factorization
freeze(var_s2_t) var_s2.svar(rtype=text,conv=1e-5)

freeze(IR_VAR_s2) var_s2.impulse(20,m,imp=struct,se=a,matbys=imp_s2) dcpi dgdp ffr1 @ ffr1

'FAVAR


'Second Sample
smpl 1981:4 2001:3

var favar_s2.ls 1 4 dcpi dgdp f1s f2s ffr1 f3f 

favar_s2.makeresids resf13 resf14 resf15 resf16 resf17 resf18
equation eq3_favar_s2.ls resf18 resf13 resf14 resf15 resf16 resf17
eq3_favar_s2.makeresids res_f_s2

favar_s2.append(svar) @e1= c(1)*@u1
favar_s2.append(svar) @e2=c(2)*@e1+c(3)*@u2
favar_s2.append(svar) @e3=c(4)*@e1+c(5)*@e2+c(6)*@u3
favar_s2.append(svar) @e4=c(7)*@e1+c(8)*@e2+c(9)*@e3+c(10)*@u4
favar_s2.append(svar) @e5=c(11)*@e1+c(12)*@e2+c(13)*@e3+c(14)*@e4+c(15)*@u5
favar_s2.append(svar) @e6=c(16)*@e1+c(17)*@e2+c(18)*@e3+c(19)*@e4+c(20)*@e5+c(21)*@u6


freeze(favar_s2_T) favar_s2.svar(rtype=text,conv=1e-5)
 freeze(IR_FAVAR_s2) favar_s2.impulse(20,m,se=a,imp=struct,matbys=imp_fs2) dcpi dgdp f1s f2s ffr1 f3f  @ ffr1


smpl @all

'VAR eq by eq (TABLE 2)


'Second sample
smpl 1981:4 2001:3

equation eq1v_s2.ls dcpi c dcpi(-1 to -4) dgdp(-1 to -4)  ffr1(-1 to -4) 
equation eq2v_s2.ls dgdp c dcpi(-1 to -4) dgdp(-1 to -4)  ffr1(-1 to -4) 
equation eq3v_s2.ls ffr1 c dcpi(-1 to -4) dgdp(-1 to -4) ffr1(-1 to -4) 

smpl @all



'EXOGENEITY (TABLE 2)

'Second sample
smpl 1981:4 2001:3

equation eq1_s2.ls dcpi c dcpi(-1 to -4) dgdp(-1 to -4) f1s(-1 to -4) f2s(-1 to -4) ffr1(-1 to -4) f3f(-1 to -4)


freeze(wald_favar4_1) eq1_s2.wald c(10)=c(11)=c(12)=c(13)=c(15)=c(16)=c(17)=c(22)=c(23)=c(24)=c(25)=0



equation eq2_s2.ls dgdp c dcpi(-1 to -4) dgdp(-1 to -4) f1s(-1 to -4) f2s(-1 to -4) ffr1(-1 to -4) f3f(-1 to -4)


freeze(wald_favar4_2) eq2_s2.wald c(10)=c(11)=c(12)=c(13)=c(15)=c(16)=c(17)=c(22)=c(23)=c(24)=c(25)=0



equation eq3_s2.ls ffr1 c dcpi(-1 to -4) dgdp(-1 to -4) f1s(-1 to -4) f2s(-1 to -4) ffr1(-1 to -4) f3f(-1 to -4)


freeze(wald_favar4_3) eq3_s2.wald c(10)=c(11)=c(12)=c(13)=c(15)=c(16)=c(17)=c(22)=c(23)=c(24)=c(25)=0




equation eq11_s2.ls dcpi c dcpi(-1 to -4) dgdp(-1 to -4) f1s(-1) f2s(-1) ffr1(-1 to -4) f3f(-1)


freeze(wald_favar1_1) eq11_s2.wald c(10)=c(11)=c(16)=0


equation eq22_s2.ls dgdp c dcpi(-1 to -4) dgdp(-1 to -4) f1s(-1) f2s(-1) ffr1(-1 to -4) f3f(-1)


freeze(wald_favar1_2) eq22_s2.wald c(10)=c(11)=c(16)=0



equation eq33_s2.ls ffr1 c dcpi(-1 to -4) dgdp(-1 to -4) f1s(-1) f2s(-1) ffr1(-1 to -4) f3f(-1)


freeze(wald_favar1_3) eq33_s2.wald c(10)=c(11)=c(16)=0


smpl 1981:4 2001:3

'RESIDUALS TESTS

'NORMALITY (TABLE 3.1)

var var_04.ls 1 4 dcpi dgdp ffr1
freeze(norm_var) var_04.jbera

var favar_01.ls 1 4 dcpi dgdp ffr1 @ c f1s(-1) f2s(-1)  f3f(-1)
freeze(norm_favar1) favar_01.jbera

var favar_04.ls 1 4 dcpi dgdp ffr1 @ c f1s(-1 to -4)  f2s(-1 to -4)  f3f(-1 to -4)
freeze(norm_favar4) favar_04.jbera



'SERIAL CORRELATION (TABLE 3.2)
freeze(sercorr_var) var_04.arlm(4)
freeze(sercorr_favar1) favar_01.arlm(4)
freeze(sercorr_favar4) favar_04.arlm(4)

'WHITE TEST (TABLE 3.3)

freeze(white_var) var_04.white
freeze(white_favar1) favar_01.white
freeze(white_favar4) favar_04.white




'GARCH-DIAGONAL BEKK (you can replicate this part only by using EViews 6)

var_04.makesystem(n=sys1)
sys1.arch @diagbekk c(indef) arch(1) 

favar_01.makesystem(n=sys2)
sys2.arch @diagbekk c(indef) arch(1) 


favar_04.makesystem(n=sys3)
sys3.arch @diagbekk c(indef) arch(1) 



'IMPULSE-RESPONSE
var_04.impulse(20,m,se=a,matbys=imp_var) dcpi dgdp ffr1 @ ffr1



favar_01.impulse(20,m,se=a,imp=chol,matbys=imp_favar1) dcpi dgdp ffr1 @ffr1


favar_04.impulse(20,m,se=a,imp=chol,matbys=imp_favar4) dcpi dgdp ffr1 @ffr1


pagecopy(page=IR) imp_var imp_favar4 imp_var_se 
pageselect IR

pagestruct(none)
smpl 1 20
mtos(imp_var,IR_v)

series ir1_v=IR_v(7)
series ir2_v=IR_v(8)
series ir3_v=IR_v(9)

delete ser01 ser02 ser03 ser04 ser05 ser06 ser07 ser08 ser09

mtos(imp_favar4,IR_f)

series ir1_f=IR_v(7)
series ir2_f=IR_v(8)
series ir3_f=IR_v(9)

delete ser01 ser02 ser03 ser04 ser05 ser06 ser07 ser08 ser09


mtos(imp_var_se,SE)

series se1=IR_v(7)
series se2=IR_v(8)
series se3=IR_v(9)

delete ser01 ser02 ser03 ser04 ser05 ser06 ser07 ser08 ser09

for !k=1 to 3
genr lb!k=ir!k_v-1.96*se!k
genr hb!k=ir!k_v+1.96*se!k
next

group IR_cpi ir1_v ir1_f lb1 hb1

freeze(IR_cpi_graph) IR_cpi.line

group IR_gdp ir2_v ir2_f lb2 hb2

freeze(IR_gdp_graph) IR_gdp.line

group IR_ffr ir3_v ir3_f lb3 hb3

freeze(IR_ffr_graph) IR_ffr.line

