
T       = 100;
lambda  = .4 * T;
nvar    = 3;
nlags   = 4;
nobsc   = T + lambda;
k       = 1 + nvar*nlags;

% DNS
    lnkapt = 0;
    for i = 1:nvar
        lnkapt = lnkapt+gammaln((nobsc-k+1-i)/2)-gammaln((lambda-k+1-i)/2);
    end
    
    disp('Ratio from DNS : lnkapt')
    disp( lnkapt )
    
    disp('===================')
    
% My Procedure
    m   = nvar;
    vb  = T + lambda - k;
    vt  = lambda - k;
    
    disp('LN Gamma Posterior')
    Po = MGammaLN( 3, vb)
    disp('LN Gamma Prior')
    Pr = MGammaLN( 3, vt)
    
    disp('Ratio from MGammaLN : Po - Pr')
    disp( Po - Pr )
    
    
    
