% Define Prior parameters
% pshape is 1: BETA(mean,stdd)
%           2: GAMMA(mean,stdd)
%           3: NORMAL(mean,stdd)
%           4: INVGAMMA(s^2,nu)
%
function prior = m1011pri

prior = [ ...
			0.5000   0.2500      3; ...                         %% lngamm
			1.0000   0.5000      3; ...                         %% lnpist
			0.5000   0.2500      2; ...                         %% lnrrst
			0.5000   0.2500      2; ...                         %% kap
			1.0000   0.0500      2; ...                         %% tau
			1.5000   0.2500      2; ...                         %% psi1
			0.5000   0.2500      2; ...                         %% psi2 
			0.6000   0.2000      1; ...                         %% rhor
			0.8000   0.1000      1; ...                         %% rhog
			0.2500   0.1000      1; ...                         %% rhoz
			0.2000   4.0000      4; ...                         %% sig_r     
			0.5000   4.0000      4; ...                         %% sig_g 
			1.0000   4.0000      4; ...                         %% sig_z   
];
