% Define Prior parameters
% pshape is 1: BETA(mean,stdd)
%           2: GAMMA(mean,stdd)
%           3: NORMAL(mean,stdd)
%           4: INVGAMMA(s^2,nu)
%
% Parameters: alp bet gam lnmst rho 
%             psi del sig_eps sig_eta alp1rt 
function prior = m21pri

prior = [ ...
		0.356  0.020  1; ...                    %% alpha
		0.993  0.002  1; ...                    %% beta
		0.0085 0.003  3; ... % .1               %% gamma
		0.0002 0.007  3; ... % .1               %% lnmst
		0.2    0.05   1; ...                    %% rho
		0.650  0.050  1; ...                    %% psi
		0.010  0.005  1; ...                    %% del
		0.02   2.000  4; ...                    %% sig_eps
		0.005  2.000  4; ...                    %% sig_eta
		50     20     2];                       %% kappa

