% Define Prior parameters
% pshape is 1: BETA(mean,stdd)
%           2: GAMMA(mean,stdd)
%           3: NORMAL(mean,stdd)
%           4: INVGAMMA(s^2,nu)
%
% Parameters: alp bet gam infl rho 
%             psi del sig_eps sig_eta kappa phi1 phi2 
function prior = m31pri

prior = [ ...
		0.356  0.020  1; ...                                            %% alpha
		0.993  0.002  1; ...                                            %% beta
		0.0085 0.003  3; ... % .1                                       %% gam
		0.01   0.01   3; ... % .1 make st dev smaller?                  %% infl
		0.7    0.1    1; ...                                            %% rho
		0.650  0.050  1; ...                                            %% psi
		0.010  0.005  1; ...                                            %% del
		0.02   2.000  4; ...                                            %% sig_eps
		0.005  2.000  4; ...                                            %% sig_eta 
		50     20     2; ...                                            %% kappa
        1.5    .5     2; ...                                            %% phi1
        1      .5     2; ...                                            %% phi2
]; 

