function [m,s,c,ndraws,bands] = pmom(fid,csize,nsim,nblocks,nburn,percent,docov,norma)

data = [];
for iblock = 1:(nblocks)
    % Read blocks of size nsim
	datadd = fread(fid,[nsim,csize],'double');
    if all(size(datadd) == [nsim,csize])
        data = [data;datadd];
    end
    clear datadd;

end;
fclose(fid);
%disp('end')
data = data(nburn+1:end,:);

if ~isempty(norma)
    datanorm = data(:,norma{1});
    datanorm = datanorm*norma{2}./repmat(datanorm(:,norma{3}),1,size(datanorm,2));
    data(:,norma{1}) = datanorm;
end

m = mean(data,1)';
s = std(data,1)';
if docov 
    c = cov(data);
else
    c = [];
end
[ndraws,n] = size(data);
bands = zeros(2*length(percent),n);
for j=1:length(percent)
    bands(2*(j-1)+1:2*j,:) = hpdint(data,percent(j),1);
end;
bands =  bands';