function V = varsur(Y,X,grad,Ar,pos,t,H,B0,adjust,lbound,crit,nit);
%number of factors
nn = size(B0,2); 		

%% time series length
t = size(X,1);

% number of cross section
n = size(X,3);

% number of regressor per state
Ns = size(X,2);

% info needed to reshuffle elements of B0 matrix
q = vec(B0.');
[i1,i2] = resh2(q);
[r1,q1] = unresh2(q);
    
 %%% matrix of second derivatives
 V = numgradvec2(grad,Ar,Y,X,t,n,Ns,nn,pos,q,r1,q1,i1,i2,adjust,lbound);
 %%% compute variance-covariance matrix
 V = .5*V+.5*V.';
 [Ve,Di] = eig(V,'nobalance');
 if any(diag(Di)>0)
      disp(sort(diag(Di)))
      keyboard;
      Di=-abs(Di);
      V=Ve*Di*Ve.';
 end

 V=-inv(V);   
   